> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apinn.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Mouvement complet (ouverture + clôture + timeline)

> Combine ouverture, clôture et la timeline complète d'un événement en une réponse — pratique pour tracer le graphe de mouvement.



## OpenAPI

````yaml /api-reference/openapi.json get /api/history
openapi: 3.1.0
info:
  title: apinn — Pinnacle Data API
  version: 1.0.0
  description: Cotes Pinnacle en temps réel, format iso Pinnacle Data API.
servers:
  - url: https://api.apinn.io
security:
  - ApiKeyAuth: []
paths:
  /api/history:
    get:
      summary: Mouvement complet (ouverture + clôture + timeline)
      description: >-
        Combine ouverture, clôture et la timeline complète d'un événement en une
        réponse — pratique pour tracer le graphe de mouvement.
      parameters:
        - name: event_id
          in: query
          required: true
          schema:
            type: integer
          example: 1632003656
        - name: since
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Mouvement
          content:
            application/json:
              schema:
                type: object
                properties:
                  opening:
                    type: array
                    items:
                      $ref: '#/components/schemas/OddsRow'
                  closing:
                    type: array
                    items:
                      $ref: '#/components/schemas/OddsRow'
                  history:
                    type: array
                    items:
                      $ref: '#/components/schemas/OddsRow'
components:
  schemas:
    OddsRow:
      type: object
      properties:
        event_id:
          type: integer
        period:
          type: integer
        market:
          type: string
          enum:
            - moneyline
            - spread
            - totals
            - home_totals
            - away_totals
        line:
          type:
            - number
            - 'null'
        odds1:
          type:
            - number
            - 'null'
          description: Home / Over.
        odds0:
          type:
            - number
            - 'null'
          description: Draw (null sur les marchés 2‑way).
        odds2:
          type:
            - number
            - 'null'
          description: Away / Under.
        todds1:
          type:
            - number
            - 'null'
          description: True odds (devig) home/over.
        todds0:
          type:
            - number
            - 'null'
        todds2:
          type:
            - number
            - 'null'
        line_id:
          type: integer
          description: Identifiant entier stable de la ligne.
        alt_line_id:
          type:
            - integer
            - 'null'
          description: Non‑null si ligne alternative.
        cutoff:
          type:
            - string
            - 'null'
        max_win:
          type:
            - number
            - 'null'
          description: Mise max acceptée (liquidité).
        score_home:
          type:
            - integer
            - 'null'
          description: Score live domicile.
        score_away:
          type:
            - integer
            - 'null'
        red_cards_home:
          type:
            - integer
            - 'null'
        red_cards_away:
          type:
            - integer
            - 'null'
        status:
          type: integer
          description: 1 = ouvert, 2 = fermé/suspendu.
        timestamp:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````